### Method

# ECal ComponentAlarmTrigger copy

since: 3.34

#### Declaration [src]

    ECalComponentAlarmTrigger*
    e_cal_component_alarm_trigger_copy (
      const ECalComponentAlarmTrigger* trigger
    )

#### Description [src]

Returns a newly allocated copy of `trigger`, which should be freed with e_cal_component_alarm_trigger_free(), when no longer needed.

Available since: 3.34

#### Return value

Type: `ECalComponentAlarmTrigger`

A newly allocated copy of `trigger`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.